<VirtualHost *:441>
	ServerName miniflux.ucm.dev
	ServerAlias miniflux
	DocumentRoot "/var/www/miniflux.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/miniflux.ucm.dev-error_log
	CustomLog logs/miniflux.ucm.dev-access_log combined
	<Directory "/var/www/miniflux.ucm.dev">
		Options +Indexes
		Options +FollowSymLinks -SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<FilesMatch "^\.">
		order allow,deny
		deny from all
	</FilesMatch>

	ProxyRequests Off
	ProxyPreserveHost On
	ProxyVia Full
	<Proxy *>
		Require all granted
	</Proxy>
	<Location />
		ProxyPass http://127.0.0.1:8180/
		ProxyPassReverse http://127.0.0.1:8180/
	</Location>

	AddDefaultCharset utf-8
	RewriteEngine on
#	RewriteRule ^/sam$ https://sam.aiki.info/ [L]
	SSLCertificateFile /etc/letsencrypt/live/ucm.dev/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/ucm.dev/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
#<VirtualHost *:441>
#	ServerName www.ucm.dev
#	ServerAlias au.ucm.dev
#	DocumentRoot "/var/www/ucm"
#	ServerAdmin sam@ucm.dev
#	ErrorLog logs/ucm-error_log
#	CustomLog logs/ucm-access_log combined
#	RewriteEngine on
#	RewriteRule (.*) https://ucm.dev%{REQUEST_URI} [L]
#</VirtualHost>
<VirtualHost *:81>
	ServerName miniflux.ucm.dev
	ServerAlias miniflux
	DocumentRoot "/var/www/miniflux.ucm.dev"
	ServerAdmin sam@ucm.dev
	ErrorLog logs/miniflux.ucm.dev-error_log
	CustomLog logs/miniflux.ucm.dev-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [L]
</VirtualHost>
